General Jailbroken iOS 5.1.1 - worth 'updating'?

Discussion in 'Jailbreaks and iOS Hacks' started by peanutismint, Mar 26, 2013.

  1. peanutismint macrumors 6502

    peanutismint

    Joined:
    Apr 4, 2007
    Location:
    Cardiff, UK
    #1
    For the past 6 months or so I've been running iOS jailbroken at 5.1.1 on both my iPhone and iPad. Now I've noticed that it's possible to jailbreak up to 6.12 but this leaves me with a few queries:

    • Is there a way to update officially to 6.12 and then jailbreak rather than update all the way to 6.13?
    • I have an iPad 2 and an iPhone 4. Will these devices (particularly the iPhone 4) struggle performance-wise with iOS 6x? I know it'll be usable but I find it starting to chug a bit even now on 5.1.1....
    • Do people think it's actually worth me updating to 6.12 or will I end up losing some good features? (like Google Maps for instance....)

    I'd be grateful to hear some opinions! :)
     
  2. dontpannic macrumors 6502

    dontpannic

    Joined:
    May 16, 2011
    Location:
    Orpington, Kent, UK
    #2
    You're out of luck now, you left it too late. If you update now you'd have to update to 6.1.3 which can't be jailbroken. You can't restore a 6.1.2 IPSW as Apple are no longer signing it, and you can't use saved SHSH blobs to restore 6.1.2 because A) You can't and B) You haven't got any.

    If you want to keep your jailbreak I'm afraid you're stuck with 5.1.1.
     
  3. peanutismint thread starter macrumors 6502

    peanutismint

    Joined:
    Apr 4, 2007
    Location:
    Cardiff, UK
    #3
    Ah ok! Well that makes my decision a lot easier then.... thanks! :) Will stick with what I've got.
     
  4. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #4
    Not correct.

    The IP4 can be restored to 6.1.2 if you have the correct SHSH/blobs for it.
    Cydia automatically saves the SHSH's but recently those save by Cydia appear faulty. If you manually saved the SHSH's with either TU, redsn0w or iFaith you will be able to restore the IP4.

    For the iPAd2 it can't be done.
     
  5. dontpannic macrumors 6502

    dontpannic

    Joined:
    May 16, 2011
    Location:
    Orpington, Kent, UK
    #5
    How on earth did you come to that conclusion? How is it not correct?

    If you are on 5.1.1 at the moment on any device, you cannot upgrade to 6.1.2 as Apple are no longer signing that update.

    You can use the SHSH blobs for the iPhone 3GS, iPhone 4, and the iPad 1, but you won't have those blobs if you've kept those devices on 5.1.1 and you cannot now upgrade to a jailbreakable version of iOS as Apple aren't signing it.

    Therefore, I am totally correct to say that if you have two devices running 5.1.1 it is now too late to upgrade to 6.1.2 and jailbreak. (unless you have upgraded to 6.1.2 in the past and have SHSH blobs saved for your device as long as it is an iPhone 3GS/iPhone 4 or iPad 1).
     
  6. guitarmandp macrumors 6502

    Joined:
    Sep 21, 2012
    #6
    It boggles my mind that so many people are wanting to upgrade *now* and not when 6.1.2 was out.
     
  7. ~Ks383~ macrumors 6502

    Joined:
    Jul 6, 2011
    #7
    I don't know about iFaith or redsn0w but doesn't TinyUmbrella save all available blobs for your device regardless of what firmware your are on? It should be possible for someone with 5.1.1 firmware to have blobs for 6.x firmware.
     
  8. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #8

    Incorrect again, you don't need to be at a particular firmware to save the blobs, you only need to save the blobs when they are signed by apple.
    So being on 5.1.1 Cydia will save all blobs for actively signed SHSH's
    Also on 5.1.1 you can manually save the SHSH's for any signed firmware.

    Make sure you understand how things work when advising people, it's a well know fact that you don't have to be at the actual firmware to get the SHSH's.
     
  9. peanutismint thread starter macrumors 6502

    peanutismint

    Joined:
    Apr 4, 2007
    Location:
    Cardiff, UK
    #9
    This is pretty confusing for somebody who isn't at the bleeding edge of jailbreak news (hence why I'm wanting to upgrade from 5.1.1 rather than spending all my time updating, waiting for a jailbreak, jailbreaking then updating again...).

    So if I save my 'blobs' (whatever the hell that means) at 5.1.1, does that mean I could still downgrade back to 5.1.1 if something went wrong??
     
  10. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #10
    Yea doesn't help with some posters giving wrong information.

    For the ip4 if cydia has your shsh for 5.1.1, you can check at top of the main cydia page it wil say which SHSH's it has.
    If you have shsh's for 6.x (excluding 6.1.3) you can restore to that and untether jailbreak.

    You can tether jailbreak on 6.1.3 on the IP4 anyway.

    For the ipad2 nothing can be done, you need to wait for the next jailbreak.
     
  11. peanutismint thread starter macrumors 6502

    peanutismint

    Joined:
    Apr 4, 2007
    Location:
    Cardiff, UK
    #11
    Thanks, I just checked Cydia - it says it has 5.1, 5.1.1 and 6.1 (which is weird as I haven't updated past 5.1.1.... I assume it's referring to my own personal blobs??)
     
  12. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #12
    See, you don't have to be at the firmware to get blobs for it, as long as it is still signed.

    You can always go back to 5.1.1 because of the blobs, chances are that you can upgrade to 6.1, maybe because lately there seems to be a problem with the 6.x saved blobs by cydia, 5.x blobs are fine.

    Download your blobs with either TinyUmbrella or redsn0w, just to have them local as well.
     
  13. peanutismint thread starter macrumors 6502

    peanutismint

    Joined:
    Apr 4, 2007
    Location:
    Cardiff, UK
    #13
    Good advice. So correct me if I'm wrong - are you saying I could upgrade to 6.13 and then downgrade back as far as my current 5.1.1 because I have my blobs saved? Also, given that it has my blobs for 6.1, I could upgrade to that and jailbreak but not jailbreak 6.12 because there's no way to upgrade to that in lieu of this new 6.13 update??
     
  14. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #14
    Almost.

    The 5.1.1 part is correct.

    Recently it appears that Cydia did not save the 6.0-6.1.2 blobs correctly. Therefore upgarding to that might not work. If it does work you can jailbreak untethered with evasi0n.

    You can upgrade to 6.1.3 anyway as it is the currently signed firmware and then tether jailbreak wth redsn0w.
     
  15. h4mza macrumors 6502

    Joined:
    Jul 30, 2010
    #15
    I have the same question too. Is it worth updating? I'm on iPhone 4 running iOS 5.1.1 and I'm quite happy with it.

    I was wondering if you would recommend me to update to iOS 6? I have the blobs for 5.0.1, 5.1, 6.0.1, 6.1 and 6.1.2
     
  16. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #16
    First use the new iFaith to check if your blobs are ok because you don't have blobs for 5.1.1

    If it doesn't work because of the blob problem you will have to downgrade to 5.01
     

Share This Page